
From: Rusty Russell <rusty@rustcorp.com.au>

From:  Ed L Cashin <ecashin@uga.edu>

This small patch documents that bits 9, 10, and 11 are unused by the Linux
kernel.  The IA-32 Intel Architecture Software Developer's Manual says that
these bits are available for programmer use.


---

 25-akpm/include/asm-i386/pgtable.h |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN include/asm-i386/pgtable.h~document-unused-i386-pte-bits include/asm-i386/pgtable.h
--- 25/include/asm-i386/pgtable.h~document-unused-i386-pte-bits	2004-04-03 02:59:59.969236232 -0800
+++ 25-akpm/include/asm-i386/pgtable.h	2004-04-03 02:59:59.972235776 -0800
@@ -107,6 +107,9 @@ void paging_init(void);
 #define _PAGE_BIT_DIRTY		6
 #define _PAGE_BIT_PSE		7	/* 4 MB (or 2MB) page, Pentium+, if present.. */
 #define _PAGE_BIT_GLOBAL	8	/* Global TLB entry PPro+ */
+#define _PAGE_BIT_UNUSED1	9	/* available for programmer */
+#define _PAGE_BIT_UNUSED2	10
+#define _PAGE_BIT_UNUSED3	11
 
 #define _PAGE_PRESENT	0x001
 #define _PAGE_RW	0x002
@@ -117,6 +120,9 @@ void paging_init(void);
 #define _PAGE_DIRTY	0x040
 #define _PAGE_PSE	0x080	/* 4 MB (or 2MB) page, Pentium+, if present.. */
 #define _PAGE_GLOBAL	0x100	/* Global TLB entry PPro+ */
+#define _PAGE_UNUSED1	0x200	/* available for programmer */
+#define _PAGE_UNUSED2	0x400
+#define _PAGE_UNUSED3	0x800
 
 #define _PAGE_FILE	0x040	/* set:pagecache unset:swap */
 #define _PAGE_PROTNONE	0x080	/* If not present */

_
